Jump to content
SA1730

поддержка Firefox 18

Recommended Posts

Когда?

присоединяюсь к вопросу, сегодня обновился браузер, и опять затык.

Share this post


Link to post

Пока не обновляюсь, вилы уже руками пароли вбивать.

Share this post


Link to post
Напомню, вы можете воспользоваться Firefox ESR (который можно загрузить здесь).

 

А без ESR? Для обычного Firefox?

 

Также не совсем понятно, что мешает сделать плагин для FF с поддержкой на несколько версий вперед? Насколько я понимаю, такая возможность технически есть (поправьте, если не прав)

Share this post


Link to post
А без ESR? Для обычного Firefox?

 

Также не совсем понятно, что мешает сделать плагин для FF с поддержкой на несколько версий вперед? Насколько я понимаю, такая возможность технически есть (поправьте, если не прав)

ESR - это тот же Firefox, только с увеличенным сроком поддержки.

Возможность есть, но задержки вызваны тем, что непосредственно ЛК не занимается разработкой KPM.

Share this post


Link to post

Насколько я понимаю, ESR версия выпускается не так часто, как обычная, например ESR 10, сейчас 17, а обычная 15,16,17,18.

 

непосредственно ЛК не занимается разработкой KPM.

 

А кто же тогда занимается?

 

Share this post


Link to post
Насколько я понимаю, ESR версия выпускается не так часто, как обычная, например ESR 10, сейчас 17, а обычная 15,16,17,18.

А кто же тогда занимается?

Не хочу вас заставлять пользоваться ESR, но для чего вам частые обновления браузера? Они больше нестабильности приносят (например, могут "отвалиться" некоторые дополнения, кроме KPM), чем какой-либо пользы.

Разработкой KPM занимается Lamantine Software.

Edited by P.B.Paddington

Share this post


Link to post
Разработкой KPM занимается Lamantine Software.

В основе KPM, Sticky Password?

Как у прародителя с обновами, тоже не поспевают?

Share this post


Link to post

Кажется, поспевают. Думаю, лучше обратиться в техподдержку с запросом о времени выпуска версии, поддерживающей Firefox 18.

Share this post


Link to post

Важно!!!

Используйте этот способ на ваш страх и риск. :)

 

1. Скопируйте kpmautofill.xpi (из папки C:\Program Files\Kaspersky Lab\Kaspersky Password Manager) куда-нибудь, чтобы в случае необходимости его можно было вернуть обратно. Выгрузите KPM из памяти, закройте Firefox.

2. Откройте kpmautofill.xpi с помощью архиватора, поддерживающего zip. Внутри находится install.rdf, откройте его блокнотом, найдите строку

<em:maxVersion>17.*</em:maxVersion>

и замените ее на

<em:maxVersion>18.*</em:maxVersion>

Разумеется, архиватор и блокнот должны быть запущены от имени администратора, чтобы сохранить изменения.

Примечание.

Если сохранить изменения в файлах не удается, распакуйте архив, запустите блокнот от имени администратора, откройте install.rdf, измените строку. Далее папку следует добавить в архив с именем kpmautofill.xpi (важно - без сжатия).

3. Точно так же исправьте файл install.rdf в папке C:\Users\Пользователь\AppData\Roaming\Kaspersky Lab\Kaspersky Password Manager\kpmAutofill (для пользователей Windows XP C:\Documents and Settings\Пользователь\Application Data\Kaspersky Lab\Kaspersky Password Manager\kpmAutofill).

4. Запустите Firefox, включите дополнение.

Проверьте, работает ли KPM. Если нет, проверьте, сохранились ли изменения в файлах.

После этого в окне Настройка, разделе Поддерживаемые веб-браузеры Mozilla Firefox будет иметь статус Invalid. Несмотря на это, дополнение должно работать.

Share this post


Link to post
Важно!!!

Используйте этот способ на ваш страх и риск. :)

 

Работает, спасибо!

 

Но возникает вопрос: выпустить обновление с таким фиксом сложнее?

Следствие: поставил сразу 19.* ибо когда выйдет 19-я, вы еще не исправите и для 18.

Share this post


Link to post
Важно!!!

Используйте этот способ на ваш страх и риск. :)

 

интересно, этот способ всем помогает?.. лично мне к сожалению не помог.. win7 64 firefox 18 - изменил оба файла

Edited by P.B.Paddington

Share this post


Link to post

AnriStyle, могу порекомендовать перейти на Firefox 17 ESR редакции^

https://download.mozilla.org/?product=firef...win〈=ru

Все уязвимости и серьезные баги в ней также будут закрываться патчам и останется совместимость с расширениями.

Share this post


Link to post

Дело в том, что все производители программ (и Mozilla, и ЛК,..) провоцируют своих клиентов переходить на последние версии (например: на Firefox 18, на KIS 2013,..). Мол, будете подвержены меньшему числу дыр. Браузер, к тому же, может печатать что-то вроде: "Ваша версия устарела, установите новую".

Сейчас на сайте самого Firefox есть аж три варианта 18-й версии. А где взять, например, 17-ю...

post-836-1358363978_thumb.jpg

Другой темой на данном форуме меня спровоцировали на "апробацию" Mozilla Thunderbird. А по прошлому (2003-2010 гг.) опыту я знаю, что в таком случае (чтобы скачать расширения и темы для Thunderbird) надо, чтобы браузером по умолчанию был браузер именно от Mozilla (Firefox или SeaMonkey). Стал я скачивать Firefox - и у меня возник выбор между тремя вариантами 18-й версии, но никак не между архивом старых. (Если бы не Thunderbird, я бы скачивать Firefox не стал: мне вполне хватает "комплекта" из Opera и Internet Explorer). И как в таком случае сделать откат?! А если на время, пока ЛК не выпустит нужное обновление, "забить" на Firefox и пользоваться более привычными мне браузерами - откуда я узнаю про выход того дополнения?!

Edited by Rex Sepluvzew

Share this post


Link to post
Важно!!!

Используйте этот способ на ваш страх и риск. :)

 

Работает, спасибо!

 

То есть, получается, смысл поддержки программой новой версии браузера заключается в таком вот изменении файлов и замене в них номера версии браузера и только? Тогда вообще непонятны какие-либо задержки со своевременной синхронизацией поддержки программой новой версии браузера, тем более Firefox, цикл разработки и выхода новых версий которого известен заранее.

 

Или все-таки в программу добавляется какой-то новый код, фичи и т.д.. то есть она как-то перерабатывается, а не просто меняется несколько файлов?

Edited by P.B.Paddington

Share this post


Link to post
Не хочу вас заставлять пользоваться ESR, но для чего вам частые обновления браузера? Они больше нестабильности приносят (например, могут "отвалиться" некоторые дополнения, кроме KPM), чем какой-либо пользы.

Разработкой KPM занимается Lamantine Software.

 

Ну так все течет, все изменяется. В прогах ищутся и устраняются баги, прикручиваются новые фичи, появляется поддержка новых современных стандартов, новые баги и далее по кругу - прогресс. А если б не он, мы бы сейчас и не общались на форумах, не серфили бы в интернете - их бы просто не было. Кстати, ЛК, судя по достаточно оперативному выпуску 2013-й версии KAV и KIS, и сворачиванием поддержки 2012 версии, так же как и Firefox, поощряет пользователей активно переходить на новые версии ПО. Поэтому мой интерес в пользовании "свежей" версией браузера FF вполне логичен.

Share this post


Link to post

спасибо работает, но глючит при добавления новых записей.

Edited by SQ

Share this post


Link to post
Ну так все течет, все изменяется. В прогах ищутся и устраняются баги, прикручиваются новые фичи, появляется поддержка новых современных стандартов, новые баги и далее по кругу - прогресс. А если б не он, мы бы сейчас и не общались на форумах, не серфили бы в интернете - их бы просто не было. Кстати, ЛК, судя по достаточно оперативному выпуску 2013-й версии KAV и KIS, и сворачиванием поддержки 2012 версии, так же как и Firefox, поощряет пользователей активно переходить на новые версии ПО. Поэтому мой интерес в пользовании "свежей" версией браузера FF вполне логичен.

Ну я же не предлагаю оставаться на самой первой версии. :) Чем новее программа, тем она менее стабильна, как правило. Новые версии с продленным сроком поддержки выходят регулярно (например, после 10 вышла 17 версия ESR).

Share this post


Link to post
Чем новее программа, тем она менее стабильна, как правило.

Не поспоришь!

На двух компьютерах поставил Firefox 18, в результате постоянные падения, работать стало не возможно. Поставил 17 ESR - всё путём.

Share this post


Link to post
Ну я же не предлагаю оставаться на самой первой версии. :) Чем новее программа, тем она менее стабильна, как правило. Новые версии с продленным сроком поддержки выходят регулярно (например, после 10 вышла 17 версия ESR).

Так что же Вы все говорите в один голос ставьте последнию версию своего антивируса - для меня самая стабильная версия была kis8.0.0.523! Но Ваши в контору звонили и настоятельно требовали перейти на новую, т.к. они не стали ее поддерживать(хотя лицензия была). Следовательно она более надежная по сравнению с новыми выходами продукта!

Так что думайте, что говорите о других продуктах и тогда говорите и о своих продуктах так же!

Уважаемые Касперские!

Адресовано не конкретно к Вам P.B.Paddington

Share this post


Link to post
Не хочу вас заставлять пользоваться ESR, но для чего вам частые обновления браузера? Они больше нестабильности приносят (например, могут "отвалиться" некоторые дополнения, кроме KPM), чем какой-либо пользы.

 

Вот как-раз в ESR и "отвалились" все дополнения, кроме KPM и noscript. И само управление дополнениями - тоже "отвалилось". Так ESR "обновил" 18. Кривоватый "перевод стрелки" у Вас получился.

Share this post


Link to post
Guest
This topic is now closed to further replies.

×
×
  • Create New...

Important Information

We use cookies to make your experience of our websites better. By using and further navigating this website you accept this. Detailed information about the use of cookies on this website is available by clicking on more information.